package cn.com.qmth.examcloud.service.core.dao;

import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.*;
import javax.validation.constraints.NotNull;

/**
 * 
 * @Description: 课程
 * @author ting.yin
 * @date 2017年1月5日
 */
@Entity
@Table(name = "ecs_core_course")
public class Course implements Serializable{

	private static final long serialVersionUID = -6261302618070108336L;
	
    @Id
    @GeneratedValue
    private Long id;

	@NotNull
	private String code;

	@NotNull
    private String name;

	@Temporal(value = TemporalType.DATE)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@Column(columnDefinition = "default now()")
	private Date createTime;

	@Temporal(value = TemporalType.DATE)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@Column(columnDefinition = "default now()",updatable = true,insertable = false)
	private Date updateTime;

	@NotNull
	@Column(columnDefinition = "default 1")
	private Boolean enable;

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public Course() {
	}
}
